%{?nodejs_find_provides_and_requires}

%global packagename timekeeper
%global enable_tests 1

Name:		nodejs-timekeeper
Version:	1.0.0
Release:	1%{?dist}
Summary:	Easy testing of time-dependent code

License:	MIT
URL:		https://github.com/vesln/timekeeper
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
%endif

%description
Easy testing of time-dependent code.


%prep
%autosetup -n package

tail -n21 Readme.md > LICENSE

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec --require test/node.support
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc Readme.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Apr 13 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
